<?php

class Class_gestionFiche
{
    private $pdo = null;

    public function __construct(PdoGsb $pDO)
    {
        $this->pdo = $pDO->getPdoGsb();
    }

    public function getLesUtilisateurs(): array
    {
        $req = 'SELECT "uId", "uNom", "uPrenom" FROM utilisateur WHERE "uStatut"!=0 ORDER BY "uNom" ASC;';
        $result = $this->pdo->prepare($req);
        $result ->execute();

        return $result->fetchAll();
    }

    public function get_ListesFiches(string $idUtilisateur): array
    {
        $req = 'SELECT "rMois", "rEtat", "rNbJustificatifs", ROUND("rMontantValide", 2) as "rMontantValide", "eLibelle"
        FROM remboursement
        INNER JOIN etat ON etat."eId"=remboursement."rEtat"
        WHERE "rVisiteur"= :userId
        ORDER BY "rMois" DESC';
    
        $result = $this->pdo->prepare($req);
        $result ->bindParam("userId", $idUtilisateur);
        $result ->execute();

        return $result->fetchAll();
    }

    public function dateComplete(string $date) : string 
    {
        return substr($date, 0, 4) . '-' . substr($date, 4);
    }

    public function get_ficheAvalider() : array
    {
        $req = 'SELECT "rMois", "rVisiteur", "rEtat", ROUND("rMontantValide", 2) as "rMontantValide", "eLibelle", "uNom", "uPrenom"
        from remboursement 
        INNER JOIN utilisateur ON utilisateur."uId"=remboursement."rVisiteur"
        INNER JOIN etat ON etat."eId"=remboursement."rEtat"
        where "rEtat"=\'CL\'
        ORDER BY "rMois" ASC';
        $result = $this->pdo->prepare($req);
        $result ->execute();

        return $result->fetchAll();
    }

}